Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1877859 - Review Request: python-gekitchen - Python SDK for GE Kitchen Appliances
Summary: Review Request: python-gekitchen - Python SDK for GE Kitchen Appliances
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1877855
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2020-09-10 15:43 UTC by Fabian Affolter
Modified: 2020-10-26 09:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-26 09:22:57 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-09-10 15:43:07 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-gekitchen.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-gekitchen-0.2.12-1.fc32.src.rpm

Project URL: https://github.com/ajmarks/gekitchen

Description:
gekitchen is a Python SDK for GE WiFi-enabled kitchen appliances.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=51147258

rpmlint output:
$ rpmlint python-gekitchen-0.2.12-1.fc32.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-gekitchen-0.2.12-1.fc32.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-09-10 22:15:24 UTC
 - Bump to 0.2.14 and install license

 - License ok
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-09-11 06:40:00 UTC
(In reply to Robert-André Mauchin 🐧 from comment #1)
>  - Bump to 0.2.14 and install license

Will do. Looks like that upstream is pretty fast ;-)

Thanks for the review.

Comment 3 Gwyn Ciesla 2020-09-11 14:42:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-gekitchen


Note You need to log in before you can comment on or make changes to this bug.